Skip to main content
PATCH
/
contacts
/
{contactId}
Error
A valid request URL is required to generate request examples
{
  "status": "success",
  "data": {
    "contact": {
      "id": 12345678,
      "group_id": 1,
      "CreatedAt": "2022-10-13T15:50:34.643724Z",
      "UpdatedAt": "2022-10-13T15:55:12.853724Z",
      "lastchange": "2022-10-13T15:50:24.163Z",
      "firstname": "Jeanne",
      "surname": "Dupont",
      "married_name": "Dupont",
      "gender": "F",
      "birthdate": "1955-07-06T00:00:00Z",
      "age_category": 123,
      "birthdept": "<string>",
      "birthcity": "<string>",
      "birthcountry": "<string>",
      "nationality": "<string>",
      "mail": "jsmith@example.com",
      "phone": "<string>",
      "mobile": "<string>",
      "address": {
        "housenumber": 1,
        "street": "rue de la paix",
        "postalcode": 75000,
        "citycode": 75101,
        "city": "Paris",
        "state": "Ile-de-France",
        "country": "France",
        "addition": "Résidence de la paix",
        "infos": "Porte de gauche",
        "building": "Bâtiment A",
        "floor": 2,
        "door": "A",
        "pollingstation": "BV-06",
        "id": 1001,
        "score": 0.965753,
        "latitude": "48.000000",
        "longitude": "2.000000",
        "location": "48.000000,2.000000",
        "invalid": null
      },
      "tags": [
        {
          "name": "<string>",
          "appearance_count": 123,
          "color": "<string>"
        }
      ],
      "actions_ids": [
        123
      ],
      "user_id": 123,
      "user_contact_id": 123,
      "formdatas": [
        {
          "form_id": 1001,
          "form_ref_id": 2001,
          "data": "Oui",
          "id": 3001,
          "created_at": "2022-10-13T15:50:24.163Z",
          "updated_at": "2022-10-13T15:50:24.163Z",
          "deleted_at": "2022-10-13T15:50:24.163Z",
          "date": "2022-10-13T15:50:24.163Z",
          "donedate": null,
          "label": null,
          "type_of_form": null,
          "group_id": 1,
          "contact_id": 12345678
        }
      ],
      "customfields": [
        {
          "form_id": 1001,
          "form_ref_id": 2001,
          "data": "Oui",
          "id": 3001,
          "created_at": "2022-10-13T15:50:24.163Z",
          "updated_at": "2022-10-13T15:50:24.163Z",
          "deleted_at": "2022-10-13T15:50:24.163Z",
          "date": "2022-10-13T15:50:24.163Z",
          "donedate": null,
          "label": null,
          "type_of_form": null,
          "group_id": 1,
          "contact_id": 12345678
        }
      ],
      "black_list": true,
      "notes": [
        {
          "content": "<string>",
          "id": 123,
          "pinned": true
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://api.qomon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactId
integer
required

ID of contact to update

Body

application/json

The new values of the contact

data
object

Response

Successful operation

status
string
Example:

"success"

data
object
Last modified on May 19, 2026